Le 26/09/2020 à 15:48, JLuc a écrit :
> Chacune des nouvelles versions de ces plugins est un peu comme un fork du 
> précédent,
> qui ne l'invalide pas.

Comme n'importe quel plugin, ça vaut pour absolument n'importe quelle 
fonctionnalité, je maintiens. Si les Saisies de Saisies 1 te suffisent et que 
tu n'utilises que #SAISIE, tu peux très bien rester durablement sur une vieille 
version si ça t'amuses aussi.

Et inversement pour BS, FA, etc, il te manque des icônes, et tu dois passer à 
une version supérieure (tout comme tu voudrais passer à une version supérieure 
de Saisies parce que des nouvelles saisies te sont utiles).

Ya vraiment aucune différence avec les fonctionnalités de n'importe quel autre 
plugin. Le fait que ça casse (par ex les préfixes des icônes changent de FA-4 à 
FA-5) c'est un choix des mainteneurs, mais ils pouvaient très bien choisir 
aussi de garder la compat ascendante. Tout comme dans un plugin SPIP c'est 
totalement un choix, et pas du tout un fait assuré, que quand tu mets à jour ça 
ne casse presque rien. Certains plugins, suivant les devs, peuvent parfaitement 
décider de casser beaucoup de choses en changeant X.

Donc bah non, je ne vois toujours pas de différence entre ces embarquements de 
libs externes, et des plugins internes à SPIP. Ça devrait être des branches 
changeant X : semver sert très exactement à ça.

Et améliorer SVP, tout le monde est d'accord là-dessus, cf la prop d'ergo à 
implémenter.

-- 
RastaPopoulos

_______________________________________________
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

Répondre à